# Generated by ShowAPI OpenAPI generator
# source: market/3307
# generated-at: 2026-06-25T22:55:13.290Z
openapi: 3.0.3
info:
  title: 全国全行业招投标数据API接口-含结构化数据附件和源网址
  description: 世舶科技3亿+招投标数据 API 接口，依托自研 AI 大模型，汇聚全国 10 万 + 权威数据源，覆盖全国行业招投标消费数据。覆盖综合采购平台、政府门户、企业、社会招标代理机构、公共资源交易中心、政府采购、医院、学校、招标代理机构等平台。企业接口,AI接口陆续上架中！
  termsOfService: https://www.showapi.com/helpcenter/view#/4019/2
  version: 1.0.0
servers:
  - url: https://route.showapi.com
paths:
  /3307-22:
    x-pointCode: 22
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: AI模型训练定制化-项目信息甄别
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                  code:
                    type: number
                  data:
                    type: object
                    properties:
                      response:
                        type: string
                      status:
                        type: number
                      time:
                        type: string
                  errorData:
                    type: object
                    properties: {}
                  subCode:
                    type: string
                  subMsg:
                    type: string
                  returnValue:
                    type: object
                    properties: {}
      operationId: 3307_22_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                content:
                  type: string
  /3307-21:
    x-pointCode: 21
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: AI模型训练定制化-招中标信息分类推理
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                  code:
                    type: number
                  data:
                    type: object
                    properties:
                      response:
                        type: string
                      status:
                        type: number
                      time:
                        type: string
                  errorData:
                    type: object
                    properties: {}
                  subCode:
                    type: string
                  subMsg:
                    type: string
                  returnValue:
                    type: object
                    properties: {}
      operationId: 3307_21_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                content:
                  type: string
  /3307-20:
    x-pointCode: 20
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: AI模型训练定制化-招中标信息数据结构化
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                  code:
                    type: number
                  data:
                    type: object
                    properties:
                      项目名称:
                        type: string
                      项目编号:
                        type: array
                        items:
                          type: string
                      项目标段编号:
                        type: array
                        items:
                          type: string
                      甲方信息:
                        type: array
                        items:
                          type: object
                          properties:
                            甲方名称:
                              type: string
                            甲方联系人姓名:
                              type: array
                              items:
                                type: string
                            甲方联系电话:
                              type: array
                              items:
                                type: string
                            甲方地址:
                              type: array
                              items:
                                type: string
                            甲方联系邮箱:
                              type: array
                              items:
                                type: string
                      乙方信息:
                        type: array
                        items:
                          type: object
                          properties:
                            乙方名称:
                              type: string
                            乙方联系人姓名:
                              type: array
                              items:
                                type: string
                            乙方联系电话:
                              type: array
                              items:
                                type: string
                            乙方地址:
                              type: array
                              items:
                                type: string
                      代理机构信息:
                        type: array
                        items:
                          type: object
                          properties:
                            代理机构名称:
                              type: string
                            代理机构联系人姓名:
                              type: array
                              items:
                                type: string
                            代理机构联系电话:
                              type: array
                              items:
                                type: string
                            代理机构地址:
                              type: array
                              items:
                                type: string
                            代理机构联系邮箱:
                              type: array
                              items:
                                type: string
                      中标候选人:
                        type: array
                        items:
                          type: string
                      投标企业名称:
                        type: array
                        items:
                          type: string
                      预算金额:
                        type: array
                        items:
                          type: string
                      报名截止时间:
                        type: string
                      开标地点:
                        type: array
                        items:
                          type: string
                      开标时间:
                        type: string
                      中标金额:
                        type: array
                        items:
                          type: string
                      项目交付物验收负责人:
                        type: array
                        items:
                          type: string
                      项目交付物验收单位:
                        type: array
                        items:
                          type: string
                      验收交付时间:
                        type: string
                      合同信息:
                        type: object
                        properties:
                          合同编号:
                            type: string
                          合同金额:
                            type: string
                          合同签订时间:
                            type: string
                          合同开始时间:
                            type: string
                          合同截至时间:
                            type: string
                      项目周期:
                        type: array
                        items:
                          type: string
                      评标专家:
                        type: array
                        items:
                          type: object
                          properties:
                            评标专家姓名:
                              type: string
                            评标专家角色:
                              type: array
                              items:
                                type: string
                      项目转包分包声明:
                        type: string
                  errorData:
                    type: object
                    properties: {}
                  subCode:
                    type: string
                  subMsg:
                    type: string
                  returnValue:
                    type: object
                    properties: {}
      operationId: 3307_20_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
  /3307-19:
    x-pointCode: 19
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 拟在建项目搜索
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/445
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: number
                      startDate:
                        type: string
                      pageId:
                        type: number
                      hasNext:
                        type: boolean
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            projectMoney:
                              type: string
                            publishTime:
                              type: string
                            industryCodeList:
                              type: array
                              items:
                                type: string
                            cityCode:
                              type: string
                            score:
                              type: number
                            proviceCode:
                              type: string
                            purchaseTypeID:
                              type: string
                            projectClassID:
                              type: string
                            countyCode:
                              type: string
                            newsTypeID:
                              type: number
                            id:
                              type: number
                            content:
                              type: string
                            title:
                              type: string
                            hasFile:
                              type: number
                            partANameList:
                              type: array
                              items:
                                type: string
                            partBNameList:
                              type: array
                              items:
                                type: string
                      pageNumber:
                        type: number
                      endDate:
                        type: string
                      seKeyWords:
                        type: string
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_19_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                excludeKW:
                  type: string
                inCludeKW:
                  type: string
                searchMode:
                  type: integer
                areaCode:
                  type: object
                  properties:
                    proviceCodeList:
                      type: array
                      items:
                        type: string
                    cityCodeList:
                      type: array
                      items: {}
                    countyCodeList:
                      type: array
                      items: {}
                startDate:
                  type: string
                  format: date-time
                endDate:
                  type: string
                  format: date-time
                userID:
                  type: integer
                pageID:
                  type: integer
                pageNumber:
                  type: integer
                searchType:
                  type: integer
                systemType:
                  type: string
  /3307-18:
    x-pointCode: 18
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 企业供应商
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      companyName:
                        type: string
                      pagination:
                        type: object
                        properties: {}
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            partnerCompanyName:
                              type: string
                            relatedProjectId:
                              type: string
                            relatedProjectName:
                              type: string
                            projectPublishTime:
                              type: string
                            relationshipType:
                              type: string
      operationId: 3307_18_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyName:
                  type: string
                pageNo:
                  type: integer
                pageSize:
                  type: integer
  /3307-17:
    x-pointCode: 17
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 企业合作客户
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      companyName:
                        type: string
                      baseInfo:
                        type: object
                        properties:
                          enterpriseProfile:
                            type: object
                            properties:
                              companyId:
                                type: number
                              companyTypeName:
                                type: string
                              companyTypeCode:
                                type: string
                              industryName:
                                type: string
                              industryCode:
                                type: string
                              registeredRegion:
                                type: object
                                properties:
                                  areaId:
                                    type: number
                                  provinceCode:
                                    type: string
                                  cityCode:
                                    type: string
                              legalRepresentative:
                                type: string
                              establishmentDate:
                                type: string
                              operatingStatus:
                                type: object
                                properties:
                                  statusCode:
                                    type: string
                                  statusName:
                                    type: string
                              historicalNames:
                                type: string
                          registrationInfo:
                            type: object
                            properties:
                              creditCode:
                                type: string
                              registrationNumber:
                                type: string
                              organizationCode:
                                type: string
                              registrationAuthority:
                                type: string
                              registeredCapital:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                  unitCode:
                                    type: string
                                  unitName:
                                    type: string
                              paidInCapital:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                  unitCode:
                                    type: string
                                  unitName:
                                    type: string
                          operationInfo:
                            type: object
                            properties:
                              businessScope:
                                type: string
                              businessTerm:
                                type: string
                              businessTermStart:
                                type: string
                              businessTermEnd:
                                type: string
                              approvalDate:
                                type: string
                              revocationDate:
                                type: string
                              cancellationDate:
                                type: string
                              insuredPersonCount:
                                type: string
                          contactInfo:
                            type: object
                            properties:
                              registeredAddress:
                                type: string
                              latestAddress:
                                type: string
                              website:
                                type: string
                              contactPhones:
                                type: array
                                items:
                                  type: string
                              contactEmails:
                                type: array
                                items:
                                  type: string
                      projectInsights:
                        type: object
                        properties:
                          bidStatistics:
                            type: array
                            items:
                              type: object
                              properties:
                                industryName:
                                  type: string
                                projectCount:
                                  type: number
                                projectShare:
                                  type: string
                                budgetAmountWan:
                                  type: string
                          winStatistics:
                            type: array
                            items:
                              type: object
                              properties:
                                industryName:
                                  type: string
                                projectCount:
                                  type: number
                                projectShare:
                                  type: string
                                budgetAmountWan:
                                  type: string
                      relationshipSummary:
                        type: object
                        properties:
                          contactPersonCount:
                            type: number
                          customerProjectCount:
                            type: number
                          supplierProjectCount:
                            type: number
                      dataStatus:
                        type: object
                        properties:
                          baseInfoAvailable:
                            type: boolean
                          projectStatisticsAvailable:
                            type: boolean
                          contactsAvailable:
                            type: boolean
                          customersAvailable:
                            type: boolean
                          suppliersAvailable:
                            type: boolean
      operationId: 3307_17_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyName:
                  type: string
  /3307-16:
    x-pointCode: 16
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 企业联系电话
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      companyName:
                        type: string
                      baseInfo:
                        type: object
                        properties:
                          enterpriseProfile:
                            type: object
                            properties:
                              companyId:
                                type: number
                              companyTypeName:
                                type: string
                              companyTypeCode:
                                type: string
                              industryName:
                                type: string
                              industryCode:
                                type: string
                              registeredRegion:
                                type: object
                                properties:
                                  areaId:
                                    type: number
                                  provinceCode:
                                    type: string
                                  cityCode:
                                    type: string
                              legalRepresentative:
                                type: string
                              establishmentDate:
                                type: string
                              operatingStatus:
                                type: object
                                properties:
                                  statusCode:
                                    type: string
                                  statusName:
                                    type: string
                              historicalNames:
                                type: string
                          registrationInfo:
                            type: object
                            properties:
                              creditCode:
                                type: string
                              registrationNumber:
                                type: string
                              organizationCode:
                                type: string
                              registrationAuthority:
                                type: string
                              registeredCapital:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                  unitCode:
                                    type: string
                                  unitName:
                                    type: string
                              paidInCapital:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                  unitCode:
                                    type: string
                                  unitName:
                                    type: string
                          operationInfo:
                            type: object
                            properties:
                              businessScope:
                                type: string
                              businessTerm:
                                type: string
                              businessTermStart:
                                type: string
                              businessTermEnd:
                                type: string
                              approvalDate:
                                type: string
                              revocationDate:
                                type: string
                              cancellationDate:
                                type: string
                              insuredPersonCount:
                                type: string
                          contactInfo:
                            type: object
                            properties:
                              registeredAddress:
                                type: string
                              latestAddress:
                                type: string
                              website:
                                type: string
                              contactPhones:
                                type: array
                                items:
                                  type: string
                              contactEmails:
                                type: array
                                items:
                                  type: string
                      projectInsights:
                        type: object
                        properties:
                          bidStatistics:
                            type: array
                            items:
                              type: object
                              properties:
                                industryName:
                                  type: string
                                projectCount:
                                  type: number
                                projectShare:
                                  type: string
                                budgetAmountWan:
                                  type: string
                          winStatistics:
                            type: array
                            items:
                              type: object
                              properties:
                                industryName:
                                  type: string
                                projectCount:
                                  type: number
                                projectShare:
                                  type: string
                                budgetAmountWan:
                                  type: string
                      relationshipSummary:
                        type: object
                        properties:
                          contactPersonCount:
                            type: number
                          customerProjectCount:
                            type: number
                          supplierProjectCount:
                            type: number
                      dataStatus:
                        type: object
                        properties:
                          baseInfoAvailable:
                            type: boolean
                          projectStatisticsAvailable:
                            type: boolean
                          contactsAvailable:
                            type: boolean
                          customersAvailable:
                            type: boolean
                          suppliersAvailable:
                            type: boolean
      operationId: 3307_16_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyName:
                  type: string
  /3307-15:
    x-pointCode: 15
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 企业基本信息
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                  msg:
                    type: string
                  data:
                    type: object
                    properties:
                      companyName:
                        type: string
                      baseInfo:
                        type: object
                        properties:
                          enterpriseProfile:
                            type: object
                            properties:
                              companyId:
                                type: number
                              companyTypeName:
                                type: string
                              companyTypeCode:
                                type: string
                              industryName:
                                type: string
                              industryCode:
                                type: string
                              registeredRegion:
                                type: object
                                properties:
                                  areaId:
                                    type: number
                                  provinceCode:
                                    type: string
                                  cityCode:
                                    type: string
                              legalRepresentative:
                                type: string
                              establishmentDate:
                                type: string
                              operatingStatus:
                                type: object
                                properties:
                                  statusCode:
                                    type: string
                                  statusName:
                                    type: string
                              historicalNames:
                                type: string
                          registrationInfo:
                            type: object
                            properties:
                              creditCode:
                                type: string
                              registrationNumber:
                                type: string
                              organizationCode:
                                type: string
                              registrationAuthority:
                                type: string
                              registeredCapital:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                  unitCode:
                                    type: string
                                  unitName:
                                    type: string
                              paidInCapital:
                                type: object
                                properties:
                                  amount:
                                    type: number
                                  unitCode:
                                    type: string
                                  unitName:
                                    type: string
                          operationInfo:
                            type: object
                            properties:
                              businessScope:
                                type: string
                              businessTerm:
                                type: string
                              businessTermStart:
                                type: string
                              businessTermEnd:
                                type: string
                              approvalDate:
                                type: string
                              revocationDate:
                                type: string
                              cancellationDate:
                                type: string
                              insuredPersonCount:
                                type: string
                          contactInfo:
                            type: object
                            properties:
                              registeredAddress:
                                type: string
                              latestAddress:
                                type: string
                              website:
                                type: string
                              contactPhones:
                                type: array
                                items:
                                  type: string
                              contactEmails:
                                type: array
                                items:
                                  type: string
                      projectInsights:
                        type: object
                        properties:
                          bidStatistics:
                            type: array
                            items:
                              type: object
                              properties:
                                industryName:
                                  type: string
                                projectCount:
                                  type: number
                                projectShare:
                                  type: string
                                budgetAmountWan:
                                  type: string
                          winStatistics:
                            type: array
                            items:
                              type: object
                              properties:
                                industryName:
                                  type: string
                                projectCount:
                                  type: number
                                projectShare:
                                  type: string
                                budgetAmountWan:
                                  type: string
                      relationshipSummary:
                        type: object
                        properties:
                          contactPersonCount:
                            type: number
                          customerProjectCount:
                            type: number
                          supplierProjectCount:
                            type: number
                      dataStatus:
                        type: object
                        properties:
                          baseInfoAvailable:
                            type: boolean
                          projectStatisticsAvailable:
                            type: boolean
                          contactsAvailable:
                            type: boolean
                          customersAvailable:
                            type: boolean
                          suppliersAvailable:
                            type: boolean
      operationId: 3307_15_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyName:
                  type: string
  /3307-14:
    x-pointCode: 14
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 采集原网址获取
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                  msg:
                    type: string
                  count:
                    type: number
                  returnValue:
                    type: string
                  subCode:
                    type: string
                  subMsg:
                    type: string
                  code:
                    type: number
      operationId: 3307_14_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                publishTime:
                  type: string
                  format: date-time
  /3307-13:
    x-pointCode: 13
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: AI行业搜索
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                  code:
                    type: number
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        firstCodeList:
                          type: array
                          items:
                            type: string
                        secondCodeList:
                          type: array
                          items:
                            type: string
                        thirdCodeList:
                          type: array
                          items:
                            type: string
                        fullTitle:
                          type: string
                        minTitle:
                          type: string
                  errorData:
                    type: string
                  subCode:
                    type: string
                  subMsg:
                    type: string
                  returnValue:
                    type: string
      operationId: 3307_13_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
  /3307-12:
    x-pointCode: 12
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: AI搜索条件重写
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                  code:
                    type: number
                  data:
                    type: object
                    properties:
                      requestKey:
                        type: string
                      status:
                        type: string
                      searchCondition:
                        type: object
                        properties:
                          searchStartTime:
                            type: string
                          searchEndTime:
                            type: string
                          searchPhrase:
                            type: string
                          searchPhraseSynonyms:
                            type: array
                            items:
                              type: string
                          partyANames:
                            type: array
                            items:
                              type: string
                          partyBNames:
                            type: string
                          agencyNames:
                            type: string
                          publishOrgNames:
                            type: string
                      industryCodes:
                        type: array
                        items:
                          type: object
                          properties:
                            firstCodeList:
                              type: array
                              items:
                                type: string
                            secondCodeList:
                              type: array
                              items:
                                type: string
                            thirdCodeList:
                              type: array
                              items:
                                type: string
                            fullTitle:
                              type: string
                            minTitle:
                              type: string
                      areaCode:
                        type: object
                        properties:
                          proviceCodeList:
                            type: array
                            items:
                              type: string
                          cityCodeList:
                            type: array
                            items:
                              type: string
                          countyCodeList:
                            type: array
                            items:
                              type: string
                      errorMsg:
                        type: string
                  errorData:
                    type: string
                  subCode:
                    type: string
                  subMsg:
                    type: string
                  returnValue:
                    type: string
      operationId: 3307_12_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                userQuery:
                  type: string
  /3307-11:
    x-pointCode: 11
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 合同数据搜索
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/445
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: number
                      startDate:
                        type: string
                      pageId:
                        type: number
                      hasNext:
                        type: boolean
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            projectMoney:
                              type: string
                            publishTime:
                              type: string
                            industryCodeList:
                              type: array
                              items:
                                type: string
                            cityCode:
                              type: string
                            score:
                              type: number
                            proviceCode:
                              type: string
                            purchaseTypeID:
                              type: string
                            projectClassID:
                              type: string
                            countyCode:
                              type: string
                            newsTypeID:
                              type: number
                            id:
                              type: number
                            content:
                              type: string
                            title:
                              type: string
                            hasFile:
                              type: number
                            partANameList:
                              type: array
                              items:
                                type: string
                            partBNameList:
                              type: array
                              items:
                                type: string
                      pageNumber:
                        type: number
                      endDate:
                        type: string
                      seKeyWords:
                        type: string
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_11_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                excludeKW:
                  nullable: true
                inCludeKW:
                  nullable: true
                sourceType:
                  nullable: true
                classID:
                  type: string
                searchMode:
                  type: integer
                areaCode:
                  type: object
                  properties:
                    proviceCodeList:
                      type: array
                      items:
                        type: string
                    cityCodeList:
                      type: array
                      items: {}
                    countyCodeList:
                      type: array
                      items: {}
                industryCode:
                  type: object
                  properties:
                    firstCodeList:
                      type: array
                      items:
                        type: string
                    secondCodeList:
                      type: array
                      items: {}
                    thirdCodeList:
                      type: array
                      items: {}
                startDate:
                  type: string
                  format: date-time
                endDate:
                  type: string
                  format: date-time
                contractEndMin:
                  type: string
                  format: date-time
                contractEndMax:
                  type: string
                userID:
                  type: integer
                pageID:
                  type: integer
                pageNumber:
                  type: integer
                searchType:
                  type: integer
                systemType:
                  type: string
                keyWordType:
                  type: integer
                projectClassID:
                  type: string
                purchaseTypeID:
                  type: string
                partAName:
                  type: string
                partBName:
                  type: string
                agentName:
                  type: string
                projectMoneyMin:
                  type: string
                projectMoneyMax:
                  type: string
                fileFlag:
                  type: integer
  /3307-10:
    x-pointCode: 10
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 招投标数据搜索列表接口-AI专用
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/449
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: number
                      startDate:
                        type: string
                      pageId:
                        type: number
                      hasNext:
                        type: boolean
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            publishTime:
                              type: string
                            projectClass:
                              type: string
                            partAInfo:
                              type: array
                              items:
                                type: object
                            purchaseType:
                              type: string
                            score:
                              type: number
                            sbkjBidUrl:
                              type: string
                            id:
                              type: number
                            agencyInfo:
                              type: array
                              items:
                                type: object
                            collectUrl:
                              type: string
                            title:
                              type: string
                            areaName:
                              type: string
                            partBInfo:
                              type: array
                              items:
                                type: string
                            projectName:
                              type: string
                            newsTypeName:
                              type: string
                      pageNumber:
                        type: number
                      endDate:
                        type: string
                      seKeyWords:
                        type: string
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_10_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                excludeKW:
                  nullable: true
                classId:
                  type: string
                areaName:
                  type: string
                searchField:
                  type: string
                startDate:
                  type: string
                  format: date
                endDate:
                  type: string
                  format: date
                pageId:
                  type: integer
                pageNumber:
                  type: integer
  /3307-9:
    x-pointCode: 9
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 获取某个项目信息附件列表
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/448
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        createTime:
                          type: string
                        projectID:
                          type: string
                        publishTime:
                          type: string
                        name:
                          type: string
                        state:
                          type: string
                        cityCode:
                          type: string
                        proviceCode:
                          type: string
                        projectFileID:
                          type: number
                        suffix:
                          type: string
                        url:
                          type: string
                        size:
                          type: number
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_9_POST
      parameters: []
  /3307-8:
    x-pointCode: 8
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 获取某个项目信息数据详情
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/447
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: object
                    properties:
                      projectMoney:
                        type: string
                      industryName:
                        type: string
                      publishTime:
                        type: string
                      partAName:
                        type: string
                      cityName:
                        type: string
                      purchaseType:
                        type: string
                      cityCode:
                        type: string
                      proviceCode:
                        type: string
                      projectClassID:
                        type: string
                      countyCode:
                        type: string
                      proviceName:
                        type: string
                      partBName:
                        type: string
                      id:
                        type: number
                      content:
                        type: string
                      countyName:
                        type: string
                      title:
                        type: string
                      agentName:
                        type: string
                      projectFiles:
                        type: array
                        items:
                          type: object
                          properties:
                            publishTime:
                              type: string
                            name:
                              type: string
                            projectFileID:
                              type: number
                      projectClassName:
                        type: string
                      newsTypeName:
                        type: string
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_8_POST
      parameters: []
  /3307-7:
    x-pointCode: 7
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 获取某个项目结构化数据详情
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/446
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: object
                    properties:
                      budgetMoney:
                        type: array
                        items:
                          type: string
                      bidStartAddress:
                        type: array
                        items:
                          type: string
                      bidMoney:
                        type: array
                        items:
                          type: number
                      publishTime:
                        type: string
                      projectSectionCode:
                        type: array
                        items:
                          type: string
                      partyBInfo:
                        type: array
                        items:
                          type: object
                          properties:
                            contactPhone:
                              type: array
                              items:
                                type: string
                            address:
                              type: array
                              items:
                                type: string
                            contactName:
                              type: array
                              items:
                                type: string
                            name:
                              type: string
                      sbkjBidUrl:
                        type: string
                      agencyInfo:
                        type: array
                        items:
                          type: string
                      collectUrl:
                        type: string
                      projectID:
                        type: number
                      partyAInfo:
                        type: array
                        items:
                          type: object
                          properties:
                            contactPhone:
                              type: array
                              items:
                                type: string
                            email:
                              type: array
                              items:
                                type: string
                            address:
                              type: array
                              items:
                                type: string
                            contactName:
                              type: array
                              items:
                                type: string
                            name:
                              type: string
                      projectName:
                        type: string
                      projectNumber:
                        type: array
                        items:
                          type: string
                      bidCompany:
                        type: array
                        items:
                          type: string
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_7_POST
      parameters: []
  /3307-6:
    x-pointCode: 6
    x-mode: pass_through
    x-read-timeout: 5
    x-connect-timeout: 5
    post:
      summary: 招投标数据搜索列表接口
      description: 这个API接口提供了招投标信息项目列表的查询功能，让您能够方便地获取最新的招投标项目详情，助力您在招投标过程中取得优势。入参出参说明参考：http://faq.zhvac.com/web/#/57/445
      responses:
        "200":
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  subMsg:
                    type: string
                  subCode:
                    type: string
                  data:
                    type: object
                    properties:
                      total:
                        type: number
                      startDate:
                        type: string
                      pageId:
                        type: number
                      hasNext:
                        type: boolean
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            projectMoney:
                              type: string
                            publishTime:
                              type: string
                            industryCodeList:
                              type: array
                              items:
                                type: string
                            cityCode:
                              type: string
                            score:
                              type: number
                            proviceCode:
                              type: string
                            purchaseTypeID:
                              type: string
                            projectClassID:
                              type: string
                            countyCode:
                              type: string
                            newsTypeID:
                              type: number
                            id:
                              type: number
                            content:
                              type: string
                            title:
                              type: string
                            hasFile:
                              type: number
                            partANameList:
                              type: array
                              items:
                                type: string
                            partBNameList:
                              type: array
                              items:
                                type: string
                      pageNumber:
                        type: number
                      endDate:
                        type: string
                      seKeyWords:
                        type: string
                  code:
                    type: number
                  msg:
                    type: string
      operationId: 3307_6_POST
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                excludeKW:
                  nullable: true
                inCludeKW:
                  nullable: true
                sourceType:
                  nullable: true
                classID:
                  type: string
                searchMode:
                  type: integer
                areaCode:
                  type: object
                  properties:
                    proviceCodeList:
                      type: array
                      items:
                        type: string
                    cityCodeList:
                      type: array
                      items: {}
                    countyCodeList:
                      type: array
                      items: {}
                industryCode:
                  type: object
                  properties:
                    firstCodeList:
                      type: array
                      items:
                        type: string
                    secondCodeList:
                      type: array
                      items: {}
                    thirdCodeList:
                      type: array
                      items: {}
                startDate:
                  type: string
                  format: date-time
                endDate:
                  type: string
                  format: date-time
                contractEndMin:
                  type: string
                  format: date-time
                contractEndMax:
                  type: string
                userID:
                  type: integer
                pageID:
                  type: integer
                pageNumber:
                  type: integer
                searchType:
                  type: integer
                systemType:
                  type: string
                keyWordType:
                  type: integer
                projectClassID:
                  type: string
                purchaseTypeID:
                  type: string
                partAName:
                  type: string
                partBName:
                  type: string
                agentName:
                  type: string
                projectMoneyMin:
                  type: string
                projectMoneyMax:
                  type: string
                fileFlag:
                  type: integer
components:
  securitySchemes:
    AppKeyAuth:
      type: apiKey
      in: query
      name: appKey
      description: 从 ShowAPI 控制台获取的 appKey，管理地址：https://www.showapi.com/console#/myApp
security:
  - AppKeyAuth: []
externalDocs:
  url: https://www.showapi.com/apiGateway/view/3307?tab=book
x-apiCode: "3307"
x-is-own: false
x-is-op: true
